import { ApiError } from "../../error.js";
export async function readStream(stream, maxBytes) {
    return new Promise((resolve, reject) => {
        let bytes = 0;
        const chunks = [];
        stream.on("data", chunk => {
            bytes += chunk.length;
            if (bytes <= maxBytes) {
                chunks.push(chunk);
            }
            else {
                reject(new ApiError(413, "exceeded maximum request size"));
                stream.destroy();
            }
        });
        stream.on("error", reject);
        stream.on("end", () => resolve(Buffer.concat(chunks).toString("utf8")));
    });
}
//# sourceMappingURL=read-stream.js.map