import { ApiError } from "../../error.js";
export function respondWithError({ id, error, res, exposeErrors, }) {
    if (error instanceof ApiError) {
        const { code, message } = error;
        res.statusCode = code;
        res.end(JSON.stringify({
            jsonrpc: "2.0",
            id,
            error: { code, message },
        }));
    }
    else {
        res.statusCode = 500;
        res.end(JSON.stringify({
            jsonrpc: "2.0",
            id,
            error: exposeErrors
                ? {
                    code: 500,
                    message: error.message,
                    data: JSON.stringify(error),
                }
                : {
                    code: 500,
                    message: "internal server error",
                },
        }));
    }
}
//# sourceMappingURL=respond-with-error.js.map