export function doubleSpaceLogger(logger) {
    function double(log) {
        return (...data) => {
            if (data.length > 0 && typeof data[0] === "string") {
                const [first, ...rest] = data;
                log("\n" + first, ...rest);
            }
            else {
                log("\n", ...data);
            }
        };
    }
    return {
        log: double(logger.log),
        warn: double(logger.warn),
        error: double(logger.error),
    };
}
//# sourceMappingURL=double-space-logger.js.map