import { isVoid } from "./is-void.js";
/**
 * return a value within an object tree, found at the given path.
 */
export function obtain(object, path) {
    let current = object;
    for (const key of path) {
        current = current[key];
        if (isVoid(current))
            break;
    }
    return current;
}
//# sourceMappingURL=obtain.js.map