import { ApiError } from "../../../error.js";
export async function acceptIncomingResponse({ logger, response, waiter }) {
    if (response.error) {
        const { id, error: { code, message } } = response;
        if (id === -1)
            logger.error(`🚨 ${code !== null && code !== void 0 ? code : 500} ${message}`);
        else
            waiter.rejectPendingResponse(id, new ApiError(code, message));
    }
    else {
        const { id, result } = response;
        waiter.resolvePendingResponse(id, result);
    }
}
//# sourceMappingURL=accept-incoming-response.js.map