import { isRequest } from "./helpers/is-request.js";
import { responseWaiter } from "./helpers/response-waiter.js";
import { acceptIncomingRequest } from "./helpers/accept-incoming-request.js";
import { acceptIncomingResponse } from "./helpers/accept-incoming-response.js";
export function negotiator({ logger, timeout, exposeErrors }) {
    const waiter = responseWaiter({ timeout });
    return {
        startWaitingForResponse: waiter.startWaitingForResponse,
        async acceptIncoming({ servelet, headers, incoming, respond }) {
            if (isRequest(incoming))
                acceptIncomingRequest({
                    logger,
                    headers,
                    exposeErrors,
                    request: incoming,
                    respond,
                    servelet,
                });
            else
                acceptIncomingResponse({
                    logger,
                    waiter,
                    response: incoming,
                });
        },
    };
}
//# sourceMappingURL=negotiator.js.map